package com.steerinfo.baseinfo.meterbasedriver.mapper;

import com.steerinfo.baseinfo.meterbasedriver.model.MeterBaseDriver;
import com.steerinfo.framework.mapper.IBaseMapper;

import java.util.List;
import java.util.Map;

import feign.Param;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface MeterBaseDriverMapper extends IBaseMapper<MeterBaseDriver, String> {
    void batchDeleteSelf(@Param(value = "carId") String carId);

    String getNewID(@org.apache.ibatis.annotations.Param(value="afl")String afl);
// 批量删除
    int deleteByBatch(String[] array);

//    void deleteDriverById(List<MeterBaseDriver> deleteList);
    void deleteDriverById(@Param("list") List<String> driverNos);

    void deleteCarById(@Param("list") List<String> list, @Param("currentUserId")String currentUserId,@Param("currentUserName") String currentUserName);
    void enableCarById(@Param("list") List<String> carNos);
    void deleteCarById01(@Param("list") List<String> carNos);
    void enableCarById01(@Param("list") List<String> carNos);

    List<MeterBaseDriver> getDirverBySup(String customerSupplierNo);

    int updateValidFlagByCarId(Map<String, Object> parameters);
}
